Bug 479805 - [RFE] virt-manager should support P2V and V2P
[RFE] virt-manager should support P2V and V2P
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 03:44 EST by Jóhann B. Guðmundsson
Modified: 2010-05-05 16:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 16:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2009-01-13 03:44:57 EST
Description of problem:


Migrate to vm as in create a virtual machine from an exist server
"move the server to a virtual machine"

For example John has 40 1U ( old )servers running various versions of RHEL and 
wants to move to a more greener data center and reducing his TCO at the same
time he installs migrate-to-vm package ( if needed, perhaps dd the disk on the server enough)on his RHEL servers goes into virt-manager chooses migrate server to virtual machine, types in the hostname(s) of the server he wants to migrate 
( perhaps can adjust the disk size of the same time )clicks ok. virt-manager 
creates 40 vm machines from the servers, makes changes to his dns and points to the vm's and shuts down the 40 1U servers.


Migrate from vm to server useful in scenarios if for some reason 
( perhaps performance/scalability ) you need to migrate from virtual machine to server.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 23:29:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:01:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Cole Robinson 2009-07-14 11:09:57 EDT
Reassinging to upstream tracker, this won't be a simple task.
Comment 4 Cole Robinson 2010-05-05 16:58:09 EDT
Rethinking this: even offering an option to launch a P2V or V2P tool from virt-manager is outside the scope of the app. It wouldn't be used by 99.9% of virt-manager users, so it doesn't make sense to do. There is certainly a need for good P2V and V2P tools, but that work shouldn't belong in virt-manager.

Note You need to log in before you can comment on or make changes to this bug.